The default bug view has changed. See this FAQ.

test_not-opener.html | Should not be able to navigate popup's popup by submitting form or by calling window.open. - got 1, expected 2

RESOLVED FIXED

Status

()

Core
General
RESOLVED FIXED
8 years ago
4 years ago

People

(Reporter: graydon, Assigned: Justin Lebar (not reading bugmail))

Tracking

({intermittent-failure})

Trunk
intermittent-failure
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(URL)

Attachments

(1 attachment)

(Reporter)

Description

8 years ago
Random orange, WINNT 5.2 tracemonkey unit test on 2009/04/24 11:47:49.

Perhaps similar to bug 451090?
(Reporter)

Updated

8 years ago
Assignee: nobody → jonas
Just happened on mozilla-1.9.1

Linux mozilla-1.9.1 unit test on 2009/05/21 12:18:17

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1242933497.1242937706.30709.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.0/1244835360.1244838205.19988.gz
Linux fx-linux-1.9-slave09 dep unit test on 2009/06/12 12:36:00
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1251124592.1251134135.1173.gz
WINNT 5.2 comm-1.9.1 unit test on 2009/08/24 07:36:32
1.9.2:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6-Unittest/1252916790.1252918737.8848.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256314971.1256315828.3603.gz
Linux mozilla-central test mochitests-2/5 on 2009/10/23 09:22:51
OS: Windows NT → All
Hardware: x86 → All
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256741530.1256742529.10165.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257356406.1257357562.8758.gz
Linux mozilla-central test mochitests-2/5 on 2009/11/04 09:40:06
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6-Unittest/1257567967.1257570988.23001.gz
Linux mozilla-1.9.2 test mochitests on 2009/11/06 20:26:07
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6-Unittest/1259197158.1259200302.604.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6-Unittest/1259711493.1259717268.2882.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6-Unittest/1260830382.1260833376.24034.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1261052430.1261053266.14151.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1261685888.1261688649.4619.gz
Linux mozilla-1.9.2 test mochitests
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Summary: test_not-opener.html | Should not be able to navigate popup's popup by submitting form. - got 1, expected 2 → test_not-opener.html | Should not be able to navigate popup's popup by submitting form or by calling window.open. - got 1, expected 2
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
(Assignee)

Comment 28

6 years ago
Created attachment 528319 [details] [diff] [review]
Fix intermittent orange in test_not-opener.html.

I think the problem is that with the off-main-thread HTML parser, data: URIs are not loaded synchronously.  This patch may fix things.
Attachment #528319 - Flags: review?(jonas)
(Assignee)

Updated

6 years ago
Assignee: jonas → justin.lebar+bug
Attachment #528319 - Flags: review?(jonas) → review+
(Assignee)

Comment 29

6 years ago
http://hg.mozilla.org/mozilla-central/rev/f85e9589bd11
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → FIXED
Keywords: intermittent-failure
Whiteboard: [orange]
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
You need to log in before you can comment on or make changes to this bug.